<?php get_header(); ?>

    <!-- Begin of content part -->
    <div class="content">
    	<!--Begin of mainbar-->
        <div class="mainbar">
        <!-- Start posts -->
        <?php if (have_posts()) : ?>

 	  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  <?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle">Рубрика: <?php single_cat_title(); ?></h2>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h2 class="pagetitle">Метка: <?php single_tag_title(); ?></h2>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">Архив за <?php the_time('F jS, Y'); ?></h2>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">Архив за <?php the_time('F, Y'); ?></h2>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">Архив за <?php the_time('Y'); ?></h2>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Архив автора</h2>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle">Архив сайта</h2>
 	  <?php } ?>


		<div class="navigation">
                <h5 class="float-left">
                	<?php previous_posts_link('&larr; Предыдущая страница') ?>
                </h5>
                <h5 class="float-right">
                	<?php next_posts_link('Следующая страница &rarr;') ?>
                </h5>
                <div class="clear"></div>
                
            </div>

		<?php while (have_posts()) : the_post(); ?>
        	<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
            	<div class="date">
                	<div class="day"><?php the_time('d') ?></div>
                    <div class="month"><?php the_time('F') ?></div>
                    <div class="meta_comments"><?php comments_popup_link('Ваш отзыв', '1 отзыв', 'Отзывов (%)'); ?></div>
                </div>
                <div class="inner_entry">
                	<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка: <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
                    
                    <?php the_content('<h5>Далее &rarr;</h5>'); ?>                    
                </div>
            </div>
        <?php endwhile; ?>   


		<div class="navigation">
                <h5 class="float-left">
                	<?php previous_posts_link('&larr; Предыдущая страница') ?>
                </h5>
                <h5 class="float-right">
                	<?php next_posts_link('Следующая страница &rarr;') ?>
                </h5>
                <div class="clear"></div>
                
            </div>
	<?php else :
		
				if ( is_category() ) { // If this is a category archive
					printf("<h1>Не найдено</h1><p>К сожалению, в рубрике &laquo;%s&raquo; еще ничего не опубликовано.</p>", single_cat_title('',false));
				} else if ( is_date() ) { // If this is a date archive
					echo("<h1>Не найдено</h1><p>К сожалению, за эту дату ничего не опубликовано.</p>");
				} else if ( is_author() ) { // If this is a category archive
					$userdata = get_userdatabylogin(get_query_var('author_name'));
					printf("<h1>Не найдено</h1><p>К сожалению, автор %s еще ничего не опубликовал.</p>", $userdata->display_name);
				} else {
					echo("<h1>Не найдено</h1><p>К сожалению, ничего не найдено.</p>");
				}
				
		
			endif;
		?>
<!-- End of posts -->
        </div> 
        <!--End of mainbar-->




<?php get_sidebar(); ?>

<?php get_footer(); ?>
